using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// I_Area 的摘要说明
/// </summary>
namespace Area
{
    public interface IArea
    {
        int Insert(TArea us);                   //添加地区信息
        int Update(TArea us);                   //修改地区信息
        int UpdateSequence(int paixu, int lbid);//修改地区排序信息
        int Delete(int id);                     //根据地区id删除地区信息
        DataTable GetDataTable();               //得到地区信息
        DataTable GetDataTable(int id);         //根据id得到地区信息
        DataTable GetFullData(int ParamID);     //根据父级ID字符串得到地区信息
        TArea GateItem(int id);                 //根据id得到每一条地区信息
    }
}
